Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.gc.messaging
Class GCLookupHandlesMessage

    java.lang.Object
      rice.p2p.past.messaging.PastMessage
          rice.p2p.past.messaging.ContinuationMessage
              rice.p2p.past.messaging.LookupHandlesMessage
                  rice.p2p.past.gc.messaging.GCLookupHandlesMessage

All Implemented Interfaces:
  Continuation, Message, java.io.Serializable

public class GCLookupHandlesMessage
extends LookupHandlesMessage

Version:
  $Id: GCLookupHandlesMessage.java,v 1.2 2005/03/11 00:58:17 jeffh Exp $
Author:
  Alan Mislove
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class rice.Continuation
`Continuation.ErrorContinuation, Continuation.ExternalContinuation, Continuation.ListenerContinuation, Continuation.MultiContinuation, Continuation.NamedContinuation, Continuation.SimpleContinuation, Continuation.StandardContinuation`

Field Summary

Fields inherited from class rice.p2p.past.messaging.ContinuationMessage
`exception, response`

Fields inherited from class rice.p2p.past.messaging.PastMessage
`dest, isResponse, source`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`GCLookupHandlesMessage(int uid, Id id, NodeHandle source, Id dest)` Constructor

Method Summary
`java.lang.String` | `toString()` Returns a string representation of this message

Methods inherited from class rice.p2p.past.messaging.LookupHandlesMessage
`getId, getMax`

Methods inherited from class rice.p2p.past.messaging.ContinuationMessage
`getResponse, receiveException, receiveResult, returnResponse`

Methods inherited from class rice.p2p.past.messaging.PastMessage
`addHop, getDestination, getPriority, getSource, getUID, isResponse, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GCLookupHandlesMessage

    public GCLookupHandlesMessage(int uid,
                                  Id id,
                                  NodeHandle source,
                                  Id dest)

  Constructor

Parameters:
  `uid` - The unique id
  `id` - The location to be stored
  `source` - The source address
  `dest` - The destination address

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation of this message

  Overrides:
    `toString` in class `LookupHandlesMessage`
  Returns:
    A string representing this message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.